<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE MENU SYSTEM "listmenu.dtd">
<MENU owner="root" name="Snmp-Node" group="users" shortcut_key="S">
<DOUBLECLICK name="Device Property"/>
<MENU-ITEM name="Delete Object and Traces" ACTION-ON-NO-PRIVILEGE="HIDE">
<OPERATION name="Delete Object"/>
<HTML-UI action_type="rightside" action_value="/adminjsp/DeleteObject.jsp?name=${name}&amp;deleteAll=true&amp;delete= _target _blank"/>
<JAVA-UI action_type="INVOKE_CLASS" action_value="com.adventnet.nms.mapui.DeleteMO?name=${name}&amp;type=${type}&amp;isContainer=${isContainer}&amp;isGroup=${isGroup}&amp;mapName=${mapName}"/>
</MENU-ITEM>

<MENU-ITEM name="Events And Alarms">
<JAVA-UI action_type="openframe" action_value="com.adventnet.nms.example.befe.ExampleFrame?NODE=${name}"/>
</MENU-ITEM>
<MENU-ITEM name="SEPARATOR"/>
<MENU-ITEM action_type="menu" action_value="nodeutilmenu" name="Utilities"/>
<MENU-ITEM name="Device Property" action_type="openframe" action_value="com.askey.ems.ipdslam.client.common.mapui.DeviceOperationFrame?action_type=view&amp;DISPLAYNAME=${displayName}&amp;HOST=${ipAddress}&amp;ManagedObjectName=${ipAddress}&amp;Netmask=${netmask}&amp;PORT=${snmpport}&amp;COMMUNITY=${community}&amp;WRITECOMMUNITY=${writeCommunity}&amp;DEVICE_TYPE=${deviceType}&amp;PARENTKEY=${parentKey}"/>
<MENU-ITEM name="Modify Property" action_type="openframe" action_value="com.askey.ems.ipdslam.client.common.mapui.DeviceOperationFrame?action_type=modify&amp;DISPLAYNAME=${displayName}&amp;HOST=${ipAddress}&amp;ManagedObjectName=${ipAddress}&amp;Netmask=${netmask}&amp;PORT=${snmpport}&amp;COMMUNITY=${community}&amp;WRITECOMMUNITY=${writeCommunity}&amp;DEVICE_TYPE=${deviceType}&amp;PARENTKEY=${parentKey}">
<OPERATION name="Modify Object"/>
</MENU-ITEM>
<!--MENU-ITEM action_type="openframe" action_value="test.provisioning.TemplateNmsFrame?HOST=${name}&amp;PORT=${snmpport}&amp;TemplateName=MiniDslam_template" name="MiniDslam Provisionining"/-->
<!--MENU-ITEM name="View Device" action_type="openframe" action_value="com.askey.ems.ipdslam.client.common.start.IPDSLAMChassis?HOST=${ipAddress}&amp;host=${ipAddress}&amp;MS_HOST=localhost&amp;ManagedObjectName=${ipAddress}&amp;URLPREFIX=./&amp;CLIENT_CLASS_NAME=com.adventnet.nms.client.ms.MSClientTransporter&amp;CLIENT_SERVER=TCP&amp;MS_MODE=3&amp;PORT=${snmpport}&amp;MS_PORT=9001&amp;COMMUNITY=${community}&amp;WRITECOMMUNITY=${writeCommunity}&amp;DEVICE_TYPE=${deviceType}&amp;XMLFILENAME=com.askey.ems.minidslam.client.DslamCard.xml&amp;CONFIG_CLIENT_IMPL=com.adventnet.nms.config.NmsConfigClient"/-->
<!--MENU-ITEM name="View Device" action_type="openframe" action_value="com.askey.ems.ipdslam.client.common.start.IPDSLAMChassis?HOST=${ipAddress}&amp;host=${ipAddress}&amp;MS_HOST=localhost&amp;ManagedObjectName=${ipAddress}&amp;URLPREFIX=./&amp;CLIENT_CLASS_NAME=com.adventnet.nms.client.ms.MSClientTransporter&amp;CLIENT_SERVER=TCP&amp;MS_MODE=3&amp;PORT=${snmpport}&amp;MS_PORT=9001&amp;COMMUNITY=${community}&amp;WRITECOMMUNITY=${writeCommunity}&amp;DEVICE_TYPE=${deviceType}&amp;CONFIG_CLIENT_IMPL=com.adventnet.nms.config.NmsConfigClient"/-->
</MENU>
